---
updatedAt: 2026-08-14T00:04:41.000Z
---

# Get list of object types

Retrieve a list of all object types available in the system. Object types represent different entities used across the platform.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Reference Resources",
    "version": "2.0.0",
    "description": "Buzz API v2"
  },
  "paths": {
    "/ref/object-types": {
      "get": {
        "operationId": "ref_object_types_list",
        "description": "Retrieve a list of all object types available in the system. Object types represent different entities used across the platform.",
        "summary": "Get list of object types",
        "parameters": [
          {
            "in": "query",
            "name": "key",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "key__contains",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "key__in",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "Multiple values may be separated by commas.",
            "explode": false,
            "style": "form"
          },
          {
            "in": "query",
            "name": "key__isempty",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "in": "query",
            "name": "key__not",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "key__not_contains",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "key__not_in",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "Multiple values may be separated by commas.",
            "explode": false,
            "style": "form"
          },
          {
            "name": "order",
            "required": false,
            "in": "query",
            "description": "Which field to use when ordering the results.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "tags": [
          "Reference"
        ],
        "security": [
          {
            "nestSessionAuth": []
          },
          {
            "nestBasicAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedObjectTypeList"
                }
              }
            },
            "description": "Object types retrieved successfully."
          },
          "400": {
            "description": "Invalid request parameters."
          },
          "401": {
            "description": "Authentication required."
          },
          "403": {
            "description": "Permission denied."
          },
          "500": {
            "description": "Internal server error."
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ObjectType": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string",
            "description": "Unique key of the object type, e.q. \"News Feed\"",
            "maxLength": 30
          }
        },
        "required": [
          "key"
        ]
      },
      "PaginatedObjectTypeList": {
        "type": "object",
        "required": [
          "count",
          "results"
        ],
        "properties": {
          "count": {
            "type": "integer",
            "example": 123
          },
          "next": {
            "type": "string",
            "nullable": true,
            "format": "uri",
            "example": "http://api.example.org/accounts/?page=4"
          },
          "previous": {
            "type": "string",
            "nullable": true,
            "format": "uri",
            "example": "http://api.example.org/accounts/?page=2"
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ObjectType"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "nestBasicAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      },
      "nestSessionAuth": {
        "type": "http",
        "scheme": "basic",
        "description": "Form-based Basic Authentication"
      }
    }
  },
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "ruby",
    "javascript",
    "python",
    "php",
    "java"
  ],
  "servers": [
    {
      "url": "https://{buzz_key}.api.beeswax.com/rest/v2",
      "variables": {
        "buzz_key": {
          "default": "stingersbx",
          "description": "Unique customer ID assigned by the Beeswax"
        }
      }
    }
  ],
  "x-readme": {
    "apply-endpoint-order": true,
    "apply-tag-changes": true
  }
}
```